Retrieves all the company contact
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "18e8f5d4-c7eb-4cc0-9b62-f64de6c7f4cb",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "64cefc50-366a-4293-8c5c-7248f1ccfb3e",
"company_code": "sample string 5",
"company": {
"id": "4973ca45-6359-444e-b48b-f028d38ded1f",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-14T20:37:48.2309323+00:00",
"sales_territory_id": "7dbd5648-b70b-45d3-b04e-b61415d82029",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "5df93bcf-9399-492b-9226-f3907bbc2681",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "261c0754-bcc0-48f8-a4a6-fb98ab4de4b4",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "332b2a4d-feb1-479d-965e-c2d9cc746914",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "dc2b22cc-3ebf-4571-90e4-56c95d6445f8",
"db_currency_id": "fbf90f63-8187-4aee-b31d-f64e1d119597",
"db_language_id": "ebdf8091-32e9-4af3-a129-60451d928cf1",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T20:37:48.2309323+00:00"
},
"modified_dateutc": "2026-10-14T20:37:48.2309323+00:00"
},
"marketing_segment_id": "5aa96349-fbaf-4bac-bef1-3f84ee7f1650",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "84cf0932-6bbe-4668-a7e9-96e3950aba0a",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "8a813aec-f9d3-4129-aee4-59e424748f92",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "5a40d781-b542-4dfc-8c2b-b84e67212eea",
"db_country_code": "sample string 28",
"feelist_id": "f766132a-3cc5-479b-849c-6e1ab9fbfead",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "0dd9dfd9-dc45-47c4-abe8-daf5cec534ee",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "2214dfe1-4322-4883-984e-5594887400d8",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-14T20:37:48.2309323+00:00",
"db_currency_id": "0e068ab0-e23e-4f08-9fec-fe4cca3e4fc9",
"db_currency_code": "sample string 10"
},
"company_type_id": "8899987c-9168-4c58-8225-4c69f76f2103",
"company_type_name": "sample string 32",
"company_type": {
"id": "2e2d6dda-d70a-4104-8b7a-9186bf9e2403",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "2115096b-0246-41ef-9aa4-29f9a305b7a1",
"sales_organization_code": "sample string 5"
},
"db_language_id": "bef30ea5-2540-4986-9d98-f3afbdb97731",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "9e1d3bb6-52f1-4970-8a97-234e2ae111af",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "980d61c4-87ea-4e29-8051-6e80fa0ebcf1",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "5523b437-8e0d-4bb7-83d1-08c189d2e39a",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-14T20:37:48.2309323+00:00"
},
"company_sector_id": "a5526391-55e5-4c34-8b30-e8503d844c6c",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "4b59cc34-0b46-45b9-a26c-460d0d827f48",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "77fdaf85-35cb-4711-bba4-49cc77549e64",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "41f75bd6-df74-40fc-8529-5529a39bb986",
"account_manager_user_code": "sample string 56",
"company_status_id": "ff631370-3897-4110-8855-0461c2490f62",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-14T20:37:48.2482036+00:00",
"id2": 60
},
"db_language_id": "4fdf67c1-4259-4a95-83e7-f23a5f874b74",
"db_language_code": "sample string 7",
"db_title_id": "99352dd9-173c-486f-a00a-8e8c19ef5e6a",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-14T20:37:48.2482036+00:00",
"create_date": "2026-10-14T20:37:48.2482036+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-14T20:37:48.2482036+00:00"
}